.banner-with-form .banner-with-form-wrapper {
  background-image: url('https://www.rootsbyga.com/wp-content/uploads/2025/01/hero_mobile-min.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 10px;
  padding: 30px;
  background-color: #8CAC95;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  min-height: 625px;
} 

.banner-with-form .coupon-details {
  padding: 20px 40px;
  border-bottom: 1px solid #679F7A;
  margin: 0px;
}

.banner-with-form .content {
  display: flex;
  text-align: center;
  color: #FAFAFA;
  margin-bottom: 40px;
  flex-direction: column;
  align-items: center;
  padding: 10px;
}

.banner-with-form .content .heading {
  color: #FAFAFA !important;
  font-size: 32px;
  line-height: 36px;
  margin-bottom: 0px;
}

.banner-with-form .content .sub-heading {
  font-size: 18px;
  line-height: 24px;
  font-weight: 500;
}

.banner-with-form .content .description {
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
  width: 90%;
  padding: 32px 0;
}

.banner-with-form .form-wrapper {
  font-family: var(--roboto) !important;
  background-color: #FAFAFA;
  padding: 40px 16px 16px 16px;
  border-radius: 8px;
  min-width: 100%;
  display: flex;
  flex-direction: column;
}

.banner-with-form .form-wrapper .heading {
  margin-bottom: 40px;
  font-size: 24px;
  line-height: 30px;
}

.banner-with-form .form-wrapper .description {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  margin: 0 0 18px 0;
}

.banner-with-form .form-wrapper .sub-description {
  color: #616161;
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
  margin-bottom: 30px;
  display: flex;
  align-items: center;
}

.banner-with-form .form-wrapper .sub-description span {
  margin-left: 5px;
}

.banner-with-form .form-wrapper .form .input-wrapper {
  margin-bottom: 12px;
}

.banner-with-form .form-wrapper .form .input-wrapper span {
  color: var(--red);
}

.banner-with-form .form-wrapper .form .input-wrapper label {
  font-size: 14px;
  line-height: 18px;
  margin-bottom: 10px;
  display: inline-block;
}

.banner-with-form .form-wrapper .form .input-wrapper input {
  border: 1px solid #D2CFC8;
  border-radius: 4px;
  height: 42px;
  width: 100%;
  outline: none;
  font-size: 14px;
  color: #000000;
  padding: 10px;
  box-sizing: border-box;
}

.banner-with-form .form-wrapper .form .input-wrapper input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

.banner-with-form .form .input-wrapper input::-webkit-input-placeholder,
.banner-with-form .form .input-wrapper input::placeholder {
  color: #D2CFC8;
  font-size: 14px;
}

.banner-with-form .form .submit-button-disabled {
  background-color: #616161 !important;
  cursor: not-allowed !important;
}

.banner-with-form .close-button {
  align-self: center;
}

.banner-with-form .form .error {
  color: #e51520;
  font-size: 14px;
  font-weight: 400;
  display: none;
}

@media only screen and (min-width: 1024px) {
  .banner-with-form .banner-with-form-wrapper {
    background-image: url('https://www.rootsbyga.com/wp-content/uploads/2025/01/hero_desktop-min.jpg');
    flex-direction: row;
    align-items: center;
    min-height: 625px;
  }

  .banner-with-form .content {
    margin-bottom: 0px;
    max-width: 50%;
  }

  .banner-with-form .content .heading {
    font-size: 40px;
    line-height: 42px;
  }

  .banner-with-form .content .sub-heading {
    width: 80%;
  }

  .banner-with-form .content .description {
    width: 80%;
  }

  .banner-with-form .form-wrapper {
    max-width: 40%;
    padding: 40px;
    min-width: 35%;
  }

  .banner-with-form .form-wrapper .heading {
    font-size: 26px;
  }

  .banner-with-form .form-wrapper .description {
    font-size: 18px;
    line-height: 26px;
  }
}

@media only screen and (min-width: 1440px) {
  .banner-with-form .content .heading {
    font-size: 60px;
    line-height: 60px;
  }
}
